libvdpau (1.4-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - control: Demote libvdpau-va-gl1 from vdpau-driver-all Depends to
      Suggests.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:44:11 +0200

libvdpau (1.4-1) unstable; urgency=medium

  * New upstream release.
  * The bullseye toolchain defaults to linking with --as-needed.
  * Bump Standards-Version to 4.5.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Apr 2020 17:45:20 +0200

libvdpau (1.3-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 18:48:08 +0100

libvdpau (1.3-1ubuntu1) focal; urgency=medium

  * Resynchronize with Debian (LP: #1839111), remaining changes:
    - control: Demote libvdpau-va-gl1 from vdpau-driver-all Depends to
      Suggests.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Jan 2020 09:41:17 +0100

libvdpau (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage and watch file for upstream move to gitlab.
  * Upstream build system is now meson instead of autotools.
  * Drop patches, fixed upstream.
  * Cherry-pick upstream build system and documentation fixes.
  * Do not ship tex logs in libvdpau-doc. Makes the build unreproducible, and
    they are not useful. Thanks Chris Lamb for the heads-up and fix!
    (Closes: #939650)
  * Drop vdpau-module-searchpath.patch: The migration to multiarch paths was
    finished long ago and backwards compatibility is no longer needed.
  * Drop simplify-dlopen-path-length-error-handling.patch: Not needed without
    vdpau-module-searchpath.patch.  (Closes: #946063)
  * Bump Standards-Version to 4.4.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Dec 2019 02:50:32 +0100

libvdpau (1.2-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * gbp.conf: switch upstream tag to upstream's format.
  * Merge tag 'libvdpau-1.2'.
  * Drop missing-configh-include.patch, merged upstream.
  * Update upstream metadata, repository is now on gitlab.

  [ Andreas Beckmann ]
  * Drop versioned constraints that are satisfied in wheezy.
  * Bump Standards-Version to 4.4.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Jul 2019 18:43:58 +0200

libvdpau (1.1.1-10) unstable; urgency=medium

  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Jan 2019 20:19:20 +0100

libvdpau (1.1.1-9) unstable; urgency=medium

  * Switch to debhelper-compat (= 11).
  * Set Rules-Requires-Root: no.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Bump Standards-Version to 4.2.1. No changes needed.
  * Add debian/upstream/metadata.
  * Mark libvdpau-doc as Multi-Arch: foreign.
  * libvdpau1.symbols: add Build-Depends-Package field.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Dec 2018 01:40:52 +0100

libvdpau (1.1.1-8) unstable; urgency=medium

  * Re-enable check for docs dependencies presence at build time,
    as they are build-depends-indep and are not installed on
    buildds when not building arch: all packages. Fixes FTBFS.

 -- Luca Boccassi <bluca@debian.org>  Sun, 03 Sep 2017 19:20:02 +0100

libvdpau (1.1.1-7) unstable; urgency=medium

  [ Luca Boccassi ]
  * Use HTTPS for upstream URLs in d/copyright, d/watch and d/control.
  * Add support for "nodoc" build profile and DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 4.1.0.

  [ Russ Allbery ]
  * Remove myself from Uploaders.

  [ Luca Boccassi ]
  * Switch to my Debian email address.

 -- Luca Boccassi <bluca@debian.org>  Sun, 03 Sep 2017 18:11:59 +0100

libvdpau (1.1.1-6) unstable; urgency=medium

  * Switch to debhelper compat level 10.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2017 01:51:57 +0100

libvdpau (1.1.1-5) unstable; urgency=medium

  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Oct 2016 19:22:54 +0200

libvdpau (1.1.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass --host.  (Closes: #838395)

  [ Andreas Beckmann ]
  * Drop -dbg package in favor of autogenerated -dbgsym package.
  * Bump Standards-Version to 3.9.8. No changes needed.
  * Update Vcs-Git URL.
  * Suggest more non-free driver packages.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Sep 2016 09:05:28 +0200

libvdpau (1.1.1-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Cherry-pick patch for DRI_PRIME crash. (Closes: #802625)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 29 Oct 2015 00:47:28 +0100

libvdpau (1.1.1-2) experimental; urgency=medium

  * Add vdpau-driver-all driver metapackage.  (Closes: #800657)
  * libvdpau1: Recommends: vdpau-driver-all | vdpau-driver.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Oct 2015 10:15:00 +0200

libvdpau (1.1.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * simplify d/rules

  [ Luca Boccassi ]
  * New upstream release.
    - Use secure_getenv(3) to improve security
      (CVE-2015-5198, CVE-2015-5199, CVE-2015-5200). Closes: #797895.
  * Do not check for pdftex, removed upstream
  * Add myself to Uploaders
  * Refresh dlopen-path patch, upstream changes
  * Refresh patch module-searchpath, upstream changes

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 03 Sep 2015 23:31:59 +0100

libvdpau (1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Jean-Yves Avenard from Uploaders. Inactive.
  * Update Vcs-Browser URL.
  * Import upstream signing key
      pub  1024D/09BA9635 2005-09-28 Aaron Plattner <aplattner@nvidia.com>
      sub  2048R/8B1DA2D0 2007-08-23 [expires: 2011-08-22]
      sub  2048R/ED9D97C2 2007-08-23 [expires: 2011-08-22]
      sub  2048R/DDF35B94 2011-08-16 [expires: 2015-08-15]
      sub  2048R/7FE346B2 2011-08-16 [expires: 2015-08-15]
      sub  2048g/76DE8572 2005-09-28 [expires: 2006-09-28]
      sub  4096R/01A68861 2012-08-24 [expires: 2016-08-23]
      sub  4096R/E5083582 2012-08-24 [expires: 2016-08-23]
  * Update watch file, verify signature.
  * Cleanup doc/doxygen_sqlite3.db to build twice in a row.
  * doxygen-no-timestamps.patch: New, disable doxygen timestamping for
    reproducible builds.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 16:52:14 +0200

libvdpau (0.9-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches cherry-picked from upstream git.
  * hardening.patch: Remove, fixed upstream.
  * link-with-libx11.patch: Refresh.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Jan 2015 18:07:15 +0100

libvdpau (0.8-3) unstable; urgency=medium

  * Add a bug-script to collect some driver information.
  * libvdpau-dev.README.Debian: Document required Depends/Enhances/Provides
    for packages containing VDPAU drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Oct 2014 22:15:30 +0200

libvdpau (0.8-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6. No changes needed.
  * hardening.patch: Build the tests with hardening enabled, too.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 22:13:27 +0200

libvdpau (0.8-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release.
    - Remove 0001-Fix-incorrect-VdpPictureInfo-typedef.patch, applied upstream.
  * Add myself to Uploaders.

  [ Andreas Beckmann ]
  * Refresh vdpau driver searchpath patches.
  * Cherry-pick upstream commits:
    - [9d27eb0] 0001-trace-properly-annotate-private-functions-as-static.patch
    - [6cb973e] 0002-vdpau-do-not-export-_vdp_DRI2-functions.patch
  * libvdpau1.symbols: Remove private symbols.
  * libvdpau-doc: Do not ship useless autogenerated doxygen files: *.map.
  * libvdpau1-dbg: New package for debug symbols.  (Closes: #763142)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2014 13:41:39 +0200

libvdpau (0.7-2) unstable; urgency=medium

  * Remove Andres Mejia from Uploaders. Thanks for your work on libvdpau!
    (Closes: #743563)
  * Bump Standards-Version to 3.9.5. No changes needed.
  * Cherry-pick upstream commit:
    - [186195b] 0001-Fix-incorrect-VdpPictureInfo-typedef.patch

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Apr 2014 23:08:42 +0200

libvdpau (0.7-1) unstable; urgency=low

  * New upstream release.  (LP: #1313614)
  * Add README.source describing the import of a new upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Aug 2013 00:59:45 +0200

libvdpau (0.6-2) unstable; urgency=low

  * Drop Conflicts/Replaces against obsolete squeeze packages.
  * libvdpau1: Drop postinst, ancient cleanup code already in squeeze.
  * Bump Standards-Version to 3.9.4. No changes needed.
  * Use canonical Vcs-* URLs.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 May 2013 00:42:22 +0200

libvdpau (0.6-1) experimental; urgency=low

  * New upstream release.
  * Drop patches cherry-picked from upstream git: 0001, 0002, 0003.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Feb 2013 20:27:10 +0100

libvdpau (0.5-1) experimental; urgency=low

  * New upstream release.  (Closes: #689586)
  * Drop patches that are now applied upstream: libvdpau_flashplayer.patch,
    track_dynamic_library_handles_and_free_them_on_exit.patch.
  * Update my email address and remove DMUA.
  * Cherry-pick upstream commits:
    - 0001-Make-use-of-dri2proto_CFLAGS-when-building.patch
    - 0002-Change-mailing-list-to-vdpau-lists.freedesktop.org.patch
    - 0003-Fix-leaked-extension-info-on-library-unload.patch (Closes: #592204)
  * libvdpau1.symbols: Add _vdp_DRI2RemoveExtension, added in above patches.
  * Change Upstream-Contact to vdpau@lists.freedesktop.org.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 25 Jan 2013 21:59:57 +0100

libvdpau (0.4.1-8) unstable; urgency=low

  * Update my email address and remove DMUA.
  * Cherry-pick upstream commit 3b43955 from 0.5+git:
    0003-Fix-leaked-extension-info-on-library-unload.patch  (Closes: #592204)
  * libvdpau1.symbols: Add _vdp_DRI2RemoveExtension, added in above patch.
  * Change Upstream-Contact to vdpau@lists.freedesktop.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 27 Jan 2013 01:49:23 +0100

libvdpau (0.4.1-7) unstable; urgency=low

  * The last (and only) reverse dependency of lib32vdpau1 was the non-free
    nvidia-vdpau-driver-ia32 which is now an empty transitional package.
  * d/{control,lib32vdpau1.*}: Drop lib32vdpau1 package.  (Closes: #679524)
  * d/{control,rules}: Remove support for building the extra 32-bit biarch
    library on amd64.
  * libvdpau1: Add Replaces/Conflicts: lib32vdpau1 to ensure the old biarch
    package gets removed properly.
  * Update lintian overrides for duplicate files generated by doxygen.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 16 Aug 2012 02:05:59 +0200

libvdpau (0.4.1-6) unstable; urgency=low

  [ Maurizio Avogadro ]
  * Apply the wise patch supplied by Stephen Warren to fix Adobe Flash
    insanities.  (Closes: #668512)

  [ Andreas Beckmann ]
  * debian/copyright: Switch to copyright-format 1.0 and update years.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 22 May 2012 23:13:00 +0200

libvdpau (0.4.1-5) unstable; urgency=low

  * Use debhelper 9 to use hardened compiler flags.

 -- Andres Mejia <amejia@debian.org>  Mon, 19 Mar 2012 10:21:23 -0400

libvdpau (0.4.1-4) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 19:01:46 -0400

libvdpau (0.4.1-3) unstable; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.

  [ Andreas Beckmann ]
  * Build for multiarch.  Patch from Daniel Schaal.  (Closes: #631174)
  * Search the vdpau module in multiple directories, starting with
    ${ORIGIN}/vdpau and fall back to /usr/lib/vdpau in the end.
  * Add Conflicts to prevent mixing biarch and multiarch packages (i.e.
    lib32vdpau1:amd64 and libvdpau1:i386).
  * Use unversioned Conflicts/Replaces on nvidia-libvdpau* to remove the old
    transitional packages.
  * Use binary:Version for relationship between libvdpau1 and libvdpau-dev.
  * Switch Build-Depends-Indep to doxygen-latex, graphviz, ghostscript.
    (Closes: #616264)
  * track_dynamic_library_handles_and_free_them_on_exit.patch: Pick upstream
    commit 4262513e: "vdpau_wrapper.c: Track dynamic library handles and free
    them on exit using __attribute__((destructor))".
  * Switch to debhelper 8.
  * Switch to dh-autoreconf: add to B-D, use dh --with autoreconf and drop
    autoreconf_-fi.patch.
  * Remove debian/libvdpau-get-orig-source, repackaging is no longer necessary
    with dh-autoreconf.
  * Build with LDFLAGS="-Wl,--as-needed".
  * Add myself to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 08 Sep 2011 10:32:24 +0200

libvdpau (0.4.1-2) unstable; urgency=high

  * Provide an upload to unstable to fix build failure. (Closes: #603220)
  * Set urgency to high so it enters testing ASAP.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 12 Nov 2010 17:14:33 -0500

libvdpau (0.4.1-1) experimental; urgency=low

  * New upstream release.
  * Use script to generate latest source.
  * Add get-orig-source rule that runs libvdpau-get-orig-source script.
  * Update Vcs-* entries for new location for packaging.
  * Refresh patches.
  * Change Build-Depends of ia32-libs to ia32-libs-dev.
  * Bump Standards-Version to 3.9.1. No other changes needed.
  * Use proper Depends versioning for a binary-all package depending on
    a binary-any package.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 20 Sep 2010 13:52:11 -0400

libvdpau (0.4-5) unstable; urgency=low

  [ Russ Allbery ]
  * Also version the Conflicts and Replaces for libvdpau-dev so that the
    nvidia-libvdpau-dev transitional package will work properly.
  * Add an explicit license for the Debian packaging files.

  [ Andreas Beckmann ]
  * Add Depends: libx11-dev to libvdpau-dev because vdpau_x11.h includes
    X11/Xlib.h.
  * Tighten the dependency of libvdpau-dev on libvdpau1 to only allow the
    matching binary:Version or binary NMUs thereof.
  * Remove dh_make boilerplate code and comments from maintainer scripts.
  * Unify symbols control files.

 -- Russ Allbery <rra@debian.org>  Sat, 12 Jun 2010 18:33:51 -0700

libvdpau (0.4-4) unstable; urgency=low

  [ Andreas Beckmann ]
  * Build lib32vdpau1 [amd64], so we can replace nvidia-libvdpau-ia32.
    Build rules inspired by lib32z1. (Closes: #572206)
  * lib32vdpau1: take over postinst script from nvidia-libvdpau-ia32.
  * Add lib{,32}vdpau1.symbols.
  * libvdpau-dev: do not ship /usr/lib/vdpau/libvdpau_trace.so, won't be used.
  * libvdpau1: cleanup /usr/lib/libvdpau_trace.so left over by some old
    versions of the nvidia-libvdpau* packages.

  [ Russ Allbery ]
  * Link libvdpau with libX11 since it uses symbols from that library.
  * Add myself to Uploaders.
  * Convert debian/copyright to the DEP-5 format and add the slightly
    different license used for two of the source files.
  * Version the Conflicts and Replaces against nvidia-libvdpau1*.
  * Also remove /usr/lib/libvdpau_nvidia.so, left by some old versions of
    the nvidia-libvdpau* packages.

 -- Russ Allbery <rra@debian.org>  Sat, 22 May 2010 19:11:37 -0700

libvdpau (0.4-3) unstable; urgency=low

  * Enable dri2 feature. Requires x11proto-dri2-dev (>= 2.2) and libxext-dev.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 25 Feb 2010 20:08:17 -0500

libvdpau (0.4-2) unstable; urgency=low

  * Add dependencies for documentation to Build-Depends-Indep.
  * Define a function in debian/rules that can be used to enable or disable
    building of the documentation depending on if the necessary dependencies
    are installed.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 10 Feb 2010 19:53:29 -0500

libvdpau (0.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4.
  * Fix libvdpau-dev dependency on libvdpau1.
  * Perform autoreconf -fi.
  * Explicitly enable documentation.
  * Use texlive-binaries instead of texlive-base-bin for pdftex build
    dependency.
  * Fix build error install texlive-binaries, which depends on tex-common. Just
    Build-Depend on texlive-base for now, until bug #567714 is resolved.

 -- Andres Mejia <mcitadel@gmail.com>  Wed, 10 Feb 2010 19:20:49 -0500

libvdpau (0.3-2) unstable; urgency=low

  [ Andres Mejia ]
  * Have libvdpau1 suggest a vdpau driver package to install, rather than
    depend on one.
    (Closes: #558434)
    (Closes: #558464)
  * Remove libvdpau-driver package.
  * Move libvdpau to main.

 -- Randall Donald <rdonald@debian.org>  Wed, 02 Dec 2009 14:22:14 -0800

libvdpau (0.3-1) unstable; urgency=low

  [ Andres Mejia ]
  * Initial release.
    (Closes: #549626)

 -- Randall Donald <rdonald@debian.org>  Wed, 25 Nov 2009 10:30:10 -0800
